ThreadGroup
Date: 2016-06-24

java.lang

## Class ThreadGroup

- java.lang.Object
- - java.lang.ThreadGroup

-     public class ThreadGroup
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadGroup(String var0)`
    `ThreadGroup(ThreadGroup var0, String var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `activeCount()`
    `int` | `activeGroupCount()`
    `void` | `checkAccess()`
    `void` | `destroy()`
    `int` | `enumerate(Thread[] var0)`
    `int` | `enumerate(Thread[] var0, boolean var1)`
    `int` | `enumerate(ThreadGroup[] var0)`
    `int` | `enumerate(ThreadGroup[] var0, boolean var1)`
    `int` | `getMaxPriority()`
    `String` | `getName()`
    `ThreadGroup` | `getParent()`
    `void` | `interrupt()`
    `boolean` | `isDaemon()`
    `boolean` | `isDestroyed()`
    `void` | `list()`
    `boolean` | `parentOf(ThreadGroup var0)`
    `void` | `setDaemon(boolean var0)`
    `void` | `setMaxPriority(int var0)`
    `void` | `uncaughtException(Thread var0, Throwable var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadGroup

          public ThreadGroup(String var0)

    - #### ThreadGroup

          public ThreadGroup(ThreadGroup var0,
                     String var1)

  - ### Method Detail

    - #### activeCount

          public int activeCount()

    - #### activeGroupCount

          public int activeGroupCount()

    - #### checkAccess

          public final void checkAccess()

    - #### destroy

          public final void destroy()

    - #### enumerate

          public int enumerate(Thread[] var0)

    - #### enumerate

          public int enumerate(Thread[] var0,
                      boolean var1)

    - #### enumerate

          public int enumerate(ThreadGroup[] var0)

    - #### enumerate

          public int enumerate(ThreadGroup[] var0,
                      boolean var1)

    - #### getMaxPriority

          public final int getMaxPriority()

    - #### getName

          public final String getName()

    - #### getParent

          public final ThreadGroup getParent()

    - #### interrupt

          public final void interrupt()

    - #### isDaemon

          public final boolean isDaemon()

    - #### isDestroyed

          public boolean isDestroyed()

    - #### list

          public void list()

    - #### parentOf

          public final boolean parentOf(ThreadGroup var0)

    - #### setDaemon

          public final void setDaemon(boolean var0)

    - #### setMaxPriority

          public final void setMaxPriority(int var0)

    - #### uncaughtException

          public void uncaughtException(Thread var0,
                               Throwable var1)